IonCube Loader is a tool, that is needed to run files that are protected with ionCube PHP Encoder. The latter is an app employed to make PHP code human unreadable, so as to protect it from reverse engineering or unauthorized usage. A lot of script-driven applications, especially discussion forums, cms and e-commerce solutions are encoded with ionCube PHP Encoder, therefore when you get a script and you notice that ionCube is on the list of web hosting environment prerequisites, you have to ensure that your web hosting server has the instrument pre-installed. While it is not that hard to set it up when you have your own server, it's close to impossible to do that on a shared hosting server due to the fact that the PHP environment should be precompiled and all of the clients on the server shall be affected.
IonCube in Website Hosting
IonCube Loader is available with all the website hosting packages that we supply, so every time you need it to install and execute a script app which needs it, you can enable it with a click inside the Advanced section of the Hepsia Control Panel. Since you can change the PHP release which is active for your account from the same section, you'll need to activate the instrument for each new version which you set. In case you are more skillful, you will be able to take advantage of a php.ini file in a domain or subdomain folder and set the PHP version as well as the status of ionCube Loader for this particular site only, without affecting the entire account. In this way you can operate both new and older script applications for multiple sites in the same account - something that you can't do with various other web hosting suppliers out there.
IonCube in Semi-dedicated Servers
Since all the semi-dedicated server accounts are created on our advanced cluster platform and ionCube Loader is available on it, you will be able to use any script application that requires this tool so as to run efficiently. With just a few clicks in your Hepsia web hosting Control Panel you will be able to activate or deactivate ionCube for the PHP version which is currently active for your account. As we support a couple of versions of PHP at the same time, you'll need to do that each and every time you move to a new release, and if you revert back to a release that you've already used, our system will remember your choice and ionCube Loader will already be activated. When you have multiple websites inside the same account and they need different releases of PHP, you will be able to set up a php.ini file in each domain folder and with a couple of lines of code you will be able to define both the PHP version as well as the status of ionCube regardless of what is selected for the web hosting account altogether.